package com.ventiun.ventiufactoringbusinessrule.model;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class FactoringBusinessDataObject implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("organizationName")
	private java.lang.String organizationName;
	@org.kie.api.definition.type.Label("invoiceCurrency")
	private java.lang.String invoiceCurrency;
	@org.kie.api.definition.type.Label("minNumberDays")
	private java.lang.Integer minNumberDays;
	@org.kie.api.definition.type.Label("bufferValue")
	private java.lang.Integer bufferValue;
	@org.kie.api.definition.type.Label("disbursementMaxAmount")
	private java.lang.Double disbursementMaxAmount;

	@org.kie.api.definition.type.Label("country")
	private java.lang.String country;

	@org.kie.api.definition.type.Label("city")
	private java.lang.String city;

	@org.kie.api.definition.type.Label("campaignId")
	private java.lang.String campaignId;

	@org.kie.api.definition.type.Label(value = "invoiceTotalAmountMax")
	private java.lang.Double invoiceTotalAmountMax;

	public FactoringBusinessDataObject() {
	}

	public java.lang.String getOrganizationName() {
		return this.organizationName;
	}

	public void setOrganizationName(java.lang.String organizationName) {
		this.organizationName = organizationName;
	}

	public java.lang.String getInvoiceCurrency() {
		return this.invoiceCurrency;
	}

	public void setInvoiceCurrency(java.lang.String invoiceCurrency) {
		this.invoiceCurrency = invoiceCurrency;
	}

	public java.lang.Integer getMinNumberDays() {
		return this.minNumberDays;
	}

	public void setMinNumberDays(java.lang.Integer minNumberDays) {
		this.minNumberDays = minNumberDays;
	}

	public java.lang.Integer getBufferValue() {
		return this.bufferValue;
	}

	public void setBufferValue(java.lang.Integer bufferValue) {
		this.bufferValue = bufferValue;
	}

	public java.lang.Double getDisbursementMaxAmount() {
		return this.disbursementMaxAmount;
	}

	public void setDisbursementMaxAmount(java.lang.Double disbursementMaxAmount) {
		this.disbursementMaxAmount = disbursementMaxAmount;
	}

	public java.lang.String getCountry() {
		return this.country;
	}

	public void setCountry(java.lang.String country) {
		this.country = country;
	}

	public java.lang.String getCity() {
		return this.city;
	}

	public void setCity(java.lang.String city) {
		this.city = city;
	}

	public java.lang.String getCampaignId() {
		return this.campaignId;
	}

	public void setCampaignId(java.lang.String campaignId) {
		this.campaignId = campaignId;
	}

	public java.lang.Double getInvoiceTotalAmountMax() {
		return this.invoiceTotalAmountMax;
	}

	public void setInvoiceTotalAmountMax(java.lang.Double invoiceTotalAmountMax) {
		this.invoiceTotalAmountMax = invoiceTotalAmountMax;
	}

	public FactoringBusinessDataObject(java.lang.String organizationName,
			java.lang.String invoiceCurrency, java.lang.Integer minNumberDays,
			java.lang.Integer bufferValue,
			java.lang.Double disbursementMaxAmount, java.lang.String country,
			java.lang.String city, java.lang.String campaignId,
			java.lang.Double invoiceTotalAmountMax) {
		this.organizationName = organizationName;
		this.invoiceCurrency = invoiceCurrency;
		this.minNumberDays = minNumberDays;
		this.bufferValue = bufferValue;
		this.disbursementMaxAmount = disbursementMaxAmount;
		this.country = country;
		this.city = city;
		this.campaignId = campaignId;
		this.invoiceTotalAmountMax = invoiceTotalAmountMax;
	}

}